_LWP_UNPARK(2)

NAME
_lwp_unpark - resume execution of a waiting LWP

LIBRARY
libc

SYNOPSIS
#include <lwp.h>
int
_lwp_unpark(lwpid_t lwp, const void *hint);

DESCRIPTION
_lwp_unpark() resumes execution of the light-weight process lwp.

The target LWP is assumed to be waiting in the kernel as a result of a call to _lwp_park(). If the target LWP is not currently waiting, it will return immediately upon the next call to _lwp_park().

See _lwp_park(2) for a description of the hint argument.

RETURN VALUES

ERRORS

[ESRCH]
    No LWP can be found in the current process corresponding to that specified by lwp.

SEE ALSO
_lwp_park(2), _lwp_unpark_all(2), _lwp_wakeup(2)

HISTORY
The _lwp_unpark() system call first appeared in NetBSD 5.0.